Bug 186951 - rssowl seems to expect 64 bit libs and does not start up
rssowl seems to expect 64 bit libs and does not start up
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rssowl (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anthony Green
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-27 12:02 EST by Thomas Vander Stichele
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: rssowl-1.2.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-13 09:37:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Vander Stichele 2006-03-27 12:02:09 EST
Description of problem:

yum install rssowl
rssowl

ls: /usr/lib64/mozilla-*/libxpcom.so: No such file or directory
dirname: missing operand
Try `dirname --help' for more information.
Exception in thread "main" java.lang.UnsatisfiedLinkError: no swt-pi-gtk-3139 in
java.library.path
        at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1682)
        at java.lang.Runtime.loadLibrary0(Runtime.java:822)
        at java.lang.System.loadLibrary(System.java:992)
        at org.eclipse.swt.internal.Library.loadLibrary(Library.java:123)
        at org.eclipse.swt.internal.gtk.OS.<clinit>(OS.java:19)
        at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:63)
        at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:54)
        at org.eclipse.swt.widgets.Display.<clinit>(Display.java:122)
        at
net.sourceforge.rssowl.controller.RSSOwlLoader.<init>(RSSOwlLoader.java:77)
        at
net.sourceforge.rssowl.controller.RSSOwlLoader.main(RSSOwlLoader.java:131)

Looking at the rssowl wrapper script, it only checks for lib64 stuff, not lib
stuff, even though this is an i386 system.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Anthony Green 2006-04-01 22:54:59 EST
This should be fixed in rssowl-1.2-13.fc5, which will show up in the FC5 Extras
repository Real Soon Now.
Comment 2 Anthony Green 2006-08-13 09:37:40 EDT
This was fixed some time ago. I'm going to close it.  Unfortunately rssowl has
been broken on FC5 for a different reason (libgcj regression).  The fix has been
available upstream for weeks, but no new gcc update is in sight.

Note You need to log in before you can comment on or make changes to this bug.